[{"D:\\FrontEnd\\Git\\28-task\\src\\index.js":"1","D:\\FrontEnd\\Git\\28-task\\src\\App.js":"2","D:\\FrontEnd\\Git\\28-task\\src\\reportWebVitals.js":"3","D:\\FrontEnd\\Git\\28-task\\src\\components\\Section.js":"4","D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Texnika.js":"5","D:\\FrontEnd\\Git\\28-task\\src\\components\\Navbar.js":"6","D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Product.js":"7","D:\\FrontEnd\\Git\\28-task\\src\\components\\Footer.js":"8","D:\\FrontEnd\\Git\\28-task\\src\\components\\cart\\Cart.js":"9","D:\\FrontEnd\\Git\\28-task\\src\\components\\pay\\creditcart.js":"10","D:\\FrontEnd\\Git\\28-task\\src\\components\\pay\\utils.js":"11","D:\\FrontEnd\\Git\\28-task\\src\\components\\profile\\Profile.js":"12","D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Api.js":"13"},{"size":905,"mtime":1611485249351,"results":"14","hashOfConfig":"15"},{"size":11157,"mtime":1611978759075,"results":"16","hashOfConfig":"15"},{"size":375,"mtime":1610992274936,"results":"17","hashOfConfig":"15"},{"size":8270,"mtime":1612212208697,"results":"18","hashOfConfig":"15"},{"size":6319,"mtime":1611165738955,"results":"19","hashOfConfig":"15"},{"size":4030,"mtime":1611976913256,"results":"20","hashOfConfig":"15"},{"size":6369,"mtime":1611779015689,"results":"21","hashOfConfig":"15"},{"size":162,"mtime":1610992274932,"results":"22","hashOfConfig":"15"},{"size":4483,"mtime":1611671612798,"results":"23","hashOfConfig":"15"},{"size":6146,"mtime":1611774713617,"results":"24","hashOfConfig":"15"},{"size":1694,"mtime":1611474590913,"results":"25","hashOfConfig":"15"},{"size":5089,"mtime":1611780278810,"results":"26","hashOfConfig":"15"},{"size":4167,"mtime":1612203786791,"results":"27","hashOfConfig":"15"},{"filePath":"28","messages":"29","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},"ofzbul",{"filePath":"31","messages":"32","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"33","usedDeprecatedRules":"30"},{"filePath":"34","messages":"35","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"36","messages":"37","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"38","messages":"39","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"40","usedDeprecatedRules":"30"},{"filePath":"41","messages":"42","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"43","messages":"44","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"45","usedDeprecatedRules":"30"},{"filePath":"46","messages":"47","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"48","messages":"49","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"50","messages":"51","errorCount":0,"warningCount":4,"fixableErrorCount":0,"fixableWarningCount":0,"source":"52","usedDeprecatedRules":"30"},{"filePath":"53","messages":"54","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"55","messages":"56","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"30"},{"filePath":"57","messages":"58","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"59","usedDeprecatedRules":"30"},"D:\\FrontEnd\\Git\\28-task\\src\\index.js",[],["60","61"],"D:\\FrontEnd\\Git\\28-task\\src\\App.js",["62"],"import Navbar from \"./components/Navbar\";\r\nimport Section from \"./components/Section\";\r\nimport Footer from \"./components/Footer\";\r\nimport Product from \"./components/products/Product\";\r\nimport Texnika from \"./components/products/Texnika\";\r\nimport React, {Component} from 'react'\r\nimport Cart from \"./components/cart/Cart\";\r\nimport {BrowserRouter as Router, Route, Switch,} from \"react-router-dom\";\r\nimport Profile from \"./components/profile/Profile\";\r\nimport API from \"./components/products/Api\";\r\n\r\n\r\nclass App extends Component {\r\n\r\n    constructor() {\r\n        super();\r\n        this.state = {\r\n            tex: [\r\n                {\r\n                    id: 1, name: 'Samsung Galaxy A51', brand: 'Samsung',\r\n                    price: 250, imgURL: '/images/Tel-samsung.jpg'\r\n                },\r\n                {\r\n                    id: 2, name: 'Iphone 12 Pro Max', brand: 'Apple',\r\n                    price: 1200, imgURL: '/images/Tel-apple.png'\r\n                },\r\n                {\r\n                    id: 3, name: 'Artel Premium Black', brand: 'Artel',\r\n                    price: 120, imgURL: '/images/Tel-artel.png'\r\n                },\r\n                {\r\n                    id: 4, name: 'LG Q60 Niebieski', brand: 'LG',\r\n                    price: 120, imgURL: '/images/Tel-lg.jpg'\r\n                },\r\n                {\r\n                    id: 5, name: 'FHD Smart TV N5300 Series 5', brand: 'Samsung',\r\n                    price: 500, imgURL: '/images/Television-samsung.jpg'\r\n                },\r\n                {\r\n                    id: 6, name: 'Sony KD-55XD7005', brand: 'Sony',\r\n                    price: 400, imgURL: '/images/TV-sony.jpg'\r\n                },\r\n                {\r\n                    id: 7, name: 'Artel 65AU90GS Smart TV', brand: 'Artel',\r\n                    price: 260, imgURL: '/images/Television-artel.jpg'\r\n                },\r\n                {\r\n                    id: 8, name: 'LG Smart TV', brand: 'LG',\r\n                    price: 360, imgURL: '/images/TV-lg.jpg'\r\n                },\r\n                {\r\n                    id: 9, name: 'Iwatch', brand: 'Apple',\r\n                    price: 12, imgURL: '/images/iwatch.jpg'\r\n                },\r\n                {\r\n                    id: 10, name: 'Iwatch 4 series ', brand: 'Apple',\r\n                    price: 9.95, imgURL: '/images/iwatch-4-series.jpg'\r\n                },\r\n                {\r\n                    id: 11, name: 'Iwatch 6 series ', brand: 'Apple',\r\n                    price: 9.95, imgURL: '/images/iwatch-6-series.jpg'\r\n                },\r\n                {\r\n                    id: 12, name: 'Iwatch 3 series', brand: 'Apple',\r\n                    price: 9, imgURL: '/images/iwatch-3-series.jpg'\r\n                },\r\n\r\n            ],\r\n            cardInfo: [\r\n                {\r\n                    id: 1,\r\n                    name: 'Lee',\r\n                    balance: 20000,\r\n                    number: '1234 5678 9123 4567',\r\n                    expiry: '12/34',\r\n                    cvc: '5554',\r\n\r\n                },\r\n                {\r\n                    id: 2,\r\n                    name: 'Kim',\r\n                    balance: 20000,\r\n                    number: '1234 5678 9123 4568',\r\n                    expiry: '12/35',\r\n                    cvc: '5555',\r\n\r\n                },\r\n                {\r\n                    id: 3,\r\n                    name: 'Pack',\r\n                    balance: 30000,\r\n                    number: '1234 5678 9123 4569',\r\n                    expiry: '12/36',\r\n                    cvc: '5556',\r\n\r\n\r\n                },\r\n            ],\r\n            orderInfo:\r\n                {\r\n                    id: 123456,\r\n                    firstName: \"Jackie\",\r\n                    lastName: \"Chan\",\r\n                    totalPrice: 0,\r\n                },\r\n            orderedProducts: [\r\n\r\n            ],\r\n            history: [\r\n\r\n            ],\r\n            products: [\r\n                {\r\n                    id: 1, name: 'T-shirt', brand: 'Nike', size: 'XL',\r\n                    price: 25, imgURL: '/images/t-shirt-nike.jpg'\r\n                },\r\n                {\r\n                    id: 2, name: 'T-shirt', brand: 'Reebok', size: 'XXL',\r\n                    price: 20, imgURL: '/images/t-shirt-reebok.jpg'\r\n                },\r\n                {\r\n                    id: 3, name: 'Pants', brand: 'Reebok', size: '33',\r\n                    price: 30, imgURL: '/images/pants-reebok.jpg'\r\n                },\r\n                {\r\n                    id: 4, name: 'Pants', brand: 'Nika', size: '31',\r\n                    price: 30, imgURL: '/images/pants-nike.jpg'\r\n                },\r\n                {\r\n                    id: 5, name: 'Cap', brand: 'Nika', size: 'Standart',\r\n                    price: 30, imgURL: '/images/cap-nike.jpg'\r\n                },\r\n                {\r\n                    id: 6, name: 'Cap', brand: 'Adidas', size: 'Standart',\r\n                    price: 32, imgURL: '/images/cap-adidas.jpg'\r\n                },\r\n                {\r\n                    id: 7, name: 'Snickers', brand: 'Adidas', size: '42',\r\n                    price: 125, imgURL: '/images/snickers-adidas.jpg'\r\n                },\r\n                {\r\n                    id: 8, name: 'Snickers', brand: 'Nika', size: '40',\r\n                    price: 140, imgURL: '/images/snickers-nike.jpg'\r\n                },\r\n            ],\r\n            tempCount: 1,\r\n            tempPrice: 0,\r\n        }\r\n\r\n    }\r\n\r\n    changeCount = (item, status) => {\r\n        if (status === true) {\r\n            this.setState({\r\n                tempCount: this.state.tempCount + 1,\r\n                tempPrice: (this.state.tempCount + 1) * item.price\r\n            })\r\n        } else if (this.state.tempCount >= 1 && !status) {\r\n            this.setState({\r\n                tempCount: this.state.tempCount - 1,\r\n                tempPrice: (this.state.tempCount - 1) * item.price\r\n            })\r\n        } else if (status === 'cart-plus') {\r\n            const {orderedProducts} = this.state\r\n\r\n            let objectId = this.state.orderedProducts.findIndex(obj => obj.id === item)\r\n            orderedProducts[objectId].totalCount += 1\r\n            orderedProducts[objectId].totalPrice = orderedProducts[objectId].totalCount * orderedProducts[objectId].price\r\n            this.setState({\r\n                orderedProducts: orderedProducts\r\n            })\r\n\r\n            this.calculateAllPrice()\r\n\r\n        } else if (status === 'cart-minus') {\r\n            const {orderedProducts} = this.state\r\n\r\n            let objectId = this.state.orderedProducts.findIndex(obj => obj.id === item)\r\n\r\n            if (orderedProducts[objectId].totalCount >= 1) {\r\n                orderedProducts[objectId].totalCount -= 1\r\n            }\r\n\r\n            orderedProducts[objectId].totalPrice = orderedProducts[objectId].totalCount * orderedProducts[objectId].price\r\n            this.setState({\r\n                orderedProducts: orderedProducts\r\n            })\r\n            this.calculateAllPrice()\r\n        }\r\n    }\r\n\r\n    updateData = (modal) => {\r\n        if (!modal) {\r\n            this.setState({\r\n                tempCount: 1,\r\n                tempPrice: 0\r\n            })\r\n        }\r\n    }\r\n\r\n    addToCart = (item) => {\r\n        const {tempCount, orderedProducts, orderInfo,} = this.state\r\n        if (tempCount >= 1) {\r\n            item.orderId = orderInfo.id\r\n            item.totalCount = tempCount\r\n            item.totalPrice = tempCount * item.price\r\n            orderedProducts.push(item)\r\n        }\r\n    }\r\n    addToHistory = () => {\r\n        let {tempCount, orderedProducts, history,} = this.state\r\n\r\n        if (tempCount >= 1) {\r\n            history=[...orderedProducts,...history]\r\n            this.setState({\r\n                history\r\n            })\r\n\r\n        }\r\n\r\n    }\r\n\r\n\r\n    calculateAllPrice = () => {\r\n        let priceCounter = 0\r\n\r\n        const {orderedProducts, orderInfo} = this.state\r\n\r\n        orderedProducts.map(item => {\r\n            priceCounter = priceCounter + item.totalPrice\r\n        })\r\n        orderInfo.totalPrice = priceCounter\r\n        this.setState({\r\n            orderInfo: orderInfo\r\n        })\r\n\r\n    }\r\n\r\n    deleteProductFromCart = (id) => {\r\n\r\n        const {orderedProducts} = this.state\r\n        let objectId = orderedProducts.findIndex(obj => obj.id === id)\r\n        if (id === null) {\r\n            orderedProducts.splice(0)\r\n        } else {\r\n            orderedProducts.splice(objectId, 1)\r\n        }\r\n        this.setState({\r\n            orderedProducts: orderedProducts\r\n        })\r\n\r\n        this.calculateAllPrice()\r\n    }\r\n\r\n\r\n    render() {\r\n\r\n        const {products, tempCount, tempPrice, tex, orderedProducts, history, cardInfo, orderInfo} = this.state\r\n\r\n\r\n        return (\r\n            <Router>\r\n                <Navbar orderedProducts={orderedProducts} orderInfo={orderInfo}\r\n                        allProductsPrice={orderInfo.totalPrice}\r\n                        calculateAllPrice={this.calculateAllPrice}\r\n                />\r\n                <Switch>\r\n                    <Route exact path=\"/\">\r\n                        <Section/>\r\n                    </Route>\r\n\r\n                    <Route exact path=\"/api\">\r\n                        <API/>\r\n                    </Route>\r\n                    <Route path=\"/cart\" render={() => (\r\n                        <Cart orderedProducts={orderedProducts} orderInfo={orderInfo}\r\n                              allProductsPrice={orderInfo.totalPrice}\r\n                              deleteProductFromCart={(id) => this.deleteProductFromCart(id)}\r\n                              changeCount={(item, status) => this.changeCount(item, status)}\r\n                              cardInfo={cardInfo} addToHistory={(item) => this.addToHistory(item)}\r\n                        />\r\n                    )}/>\r\n\r\n                    <Route path=\"/por\" render={() => (\r\n                        <Profile\r\n                                 deleteProductFromCart={(id) => this.deleteProductFromCart(id)}\r\n                                 history={history}\r\n                        />\r\n                    )}/>\r\n                    <Route path=\"/products\" render={() => (\r\n                        <Product tempCount={tempCount} tempPrice={tempPrice} data={products}\r\n                                 changeCount={(item, status,) => this.changeCount(item, status,)}\r\n                                 updateData={(modal) => this.updateData(modal)}\r\n                                 addToCart={(item) => this.addToCart(item)}\r\n                        />\r\n                    )}/>\r\n\r\n                    <Route path=\"/technology\" render={() => (\r\n                        <Texnika tempCount={tempCount} tempPrice={tempPrice} mydata={tex}\r\n                                 changeCount={(item, status) => this.changeCount(item, status)}\r\n                                 updateData={(modal) => this.updateData(modal)}\r\n                                 addToCart={(item) => this.addToCart(item)}\r\n                        />\r\n                    )}/>\r\n\r\n                </Switch>\r\n\r\n                <Footer/>\r\n            </Router>\r\n        );\r\n    }\r\n}\r\nexport default App;\r\n\r\n","D:\\FrontEnd\\Git\\28-task\\src\\reportWebVitals.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\Section.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Texnika.js",["63"],"import React, {Component} from 'react';\r\nimport {Modal, ModalHeader, ModalBody, ModalFooter, Button, ButtonGroup} from \"reactstrap\";\r\n\r\nclass Texnika extends Component {\r\n\r\n    constructor() {\r\n        super();\r\n        this.state = {\r\n            content: null,\r\n            modal: false,\r\n            tempObject: null,\r\n        }\r\n    }\r\n\r\n    componentDidMount() {\r\n        this.getTexList()\r\n\r\n    }\r\n\r\n    getTexList = () => {\r\n        const {mydata} = this.props\r\n\r\n        this.setState({\r\n            content: mydata.length ? mydata.map((item, index) => (\r\n                    <div key={index} className=\"col-lg-3\">\r\n                        <div className=\"card\">\r\n                            <div className=\"card-header\">\r\n                                <img className=\"card-img-top\" src={item.imgURL} alt=\"Card image cap\"/>\r\n                            </div>\r\n\r\n                            <div className=\"card-body\">\r\n                                <h5 className=\"card-title\"><b>Nomi: </b>{item.name}</h5>\r\n                                <h5 className=\"card-text\"><b>Brendi: </b>{item.brand}</h5>\r\n                                <h5 className=\"card-text\"><b>Narxi: </b>{item.price} $</h5>\r\n                            </div>\r\n                            <div className=\"card-footer\">\r\n                                <button onClick={() => this.toggle(item)} className=\"btn btn-danger\">Sotib olish</button>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                )) :\r\n                <div className=\"d-flex justify-content-center w-100 my-5\">\r\n                    <div className=\"spinner-border\" role=\"status\">\r\n                        <span className=\"sr-only\">Loading...</span>\r\n                    </div>\r\n                </div>\r\n        })\r\n    }\r\n\r\n    toggle = (item) => {\r\n        this.setState({\r\n            modal: !this.state.modal,\r\n            tempObject: item ? item : null\r\n        })\r\n    }\r\n\r\n    render() {\r\n        const {content, modal, tempObject} = this.state\r\n\r\n        const {changeCount, tempCount, tempPrice, updateData, addToCart} = this.props\r\n\r\n\r\n        return (\r\n            <section className=\"tex-section\">\r\n                <div className=\"container\">\r\n                    <h1>Product page</h1>\r\n                    <div className=\"row\">\r\n                        {content}\r\n                    </div>\r\n                </div>\r\n\r\n                <Modal isOpen={modal} toggle={()=> {updateData(); this.toggle();}} className=\"modal-xl\">\r\n                    <ModalHeader toggle={()=> {updateData(); this.toggle();}}>Modal title</ModalHeader>\r\n                    <ModalBody>\r\n                        <div className=\"container\">\r\n                            <div className=\"row\">\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Info</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body\">\r\n                                            <h5>Name: {tempObject && tempObject.name}</h5>\r\n                                            <h6>Brand: {tempObject && tempObject.brand}</h6>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Product</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body p-0\">\r\n                                            <img className=\"w-100\" src={tempObject && tempObject.imgURL}\r\n                                                 alt=\"product-img\"/>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Action</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body\">\r\n                                            <h6>Price: {tempObject && tempObject.price}$</h6>\r\n                                            {tempPrice ? <h6>Total price: {tempPrice}$</h6> : null}\r\n                                            <h6>Total count: {tempCount}</h6>\r\n                                            <ButtonGroup>\r\n                                                <Button onClick={() => changeCount(tempObject, false)}>-</Button>\r\n                                                <Button outline color=\"secondary\" disabled>{tempCount}</Button>\r\n                                                <Button onClick={() => changeCount(tempObject, true)}>+</Button>\r\n                                            </ButtonGroup> <br/>\r\n                                            <Button onClick={()=> {updateData(); addToCart(tempObject,\r\n                                                this.setState({modal: false}))}}\r\n                                                    className=\"btn-danger pr-4 pl-4 mt-2\">Buy\r\n                                            </Button>{' '}\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </ModalBody>\r\n                    <ModalFooter>\r\n                        <Button color=\"secondary\" onClick={()=> {updateData(); this.setState({modal: false})}}>\r\n                            Cancel\r\n                        </Button>\r\n                    </ModalFooter>\r\n                </Modal>\r\n            </section>\r\n        );\r\n    }\r\n}\r\n\r\nexport default Texnika;","D:\\FrontEnd\\Git\\28-task\\src\\components\\Navbar.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Product.js",["64"],"import React, {Component} from 'react';\r\nimport {Modal, ModalHeader, ModalBody, ModalFooter, Button, ButtonGroup} from \"reactstrap\";\r\n\r\nclass Product extends Component {\r\n\r\n    constructor() {\r\n        super();\r\n        this.state = {\r\n            content: null,\r\n            modal: false,\r\n            tempObject: null,\r\n\r\n        }\r\n    }\r\n\r\n    componentDidMount() {\r\n        this.getProductsList()\r\n    }\r\n\r\n    getProductsList = () => {\r\n\r\n        const {data} = this.props\r\n\r\n\r\n        this.setState({\r\n            content: data.length ? data.map((item, index) => (\r\n                    <div key={index} className=\"col-lg-3\">\r\n                        <div className=\"card\">\r\n                            <img className=\"card-img-top\" src={item.imgURL} alt=\"Card image cap\"/>\r\n                            <div className=\"card-body\">\r\n                                <h5 className=\"card-title\">{item.name}</h5>\r\n                                <h5 className=\"card-text\">{item.brand}</h5>\r\n                                <p className=\"card-text\"><b>O'lchami: </b>{item.size}</p>\r\n                                <p className=\"card-text\"><b>Narxi: </b>{item.price} $</p>\r\n                            </div>\r\n                            <div className=\"card-header\">\r\n                                <button onClick={() => this.toggle(item)} className=\"btn btn-primary\">Add to card</button>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                )) :\r\n                <div className=\"d-flex justify-content-center w-100 my-5\">\r\n                    <div className=\"spinner-border\" role=\"status\">\r\n                        <span className=\"sr-only\">Loading...</span>\r\n                    </div>\r\n                </div>\r\n        })\r\n    }\r\n\r\n    toggle = (item) => {\r\n        this.setState({\r\n            modal: !this.state.modal,\r\n            tempObject: item ? item : null,\r\n        })\r\n    }\r\n\r\n    render() {\r\n\r\n        const {content, modal, tempObject} = this.state\r\n        console.log(tempObject)\r\n\r\n        const {changeCount, tempPrice, tempCount, updateData, addToCart} = this.props\r\n\r\n        return (\r\n            <section className=\"products-section\">\r\n                <div className=\"container\">\r\n                    <h1>Product page</h1>\r\n                    <div className=\"row\">\r\n                        {content}\r\n                    </div>\r\n                </div>\r\n\r\n                <Modal isOpen={modal} toggle={() => {\r\n                    updateData();\r\n                    this.toggle();\r\n                }} className=\"modal-xl\">\r\n                    <ModalHeader toggle={() => {\r\n                        updateData();\r\n                        this.toggle();\r\n                    }}>Modal title</ModalHeader>\r\n                    <ModalBody>\r\n                        <div className=\"container\">\r\n                            <div className=\"row\">\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Info</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body\">\r\n                                            <h5>{tempObject && tempObject.name}, {tempObject && tempObject.brand}</h5>\r\n                                            <h6>size: {tempObject && tempObject.size}</h6>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Product</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body p-0\">\r\n                                            <img className=\"w-100\" src={tempObject && tempObject.imgURL}\r\n                                                 alt=\"product-img\"/>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div className=\"col-lg-4\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header bg-transparent\">\r\n                                            <h4 className=\"card-title\">Action</h4>\r\n                                        </div>\r\n                                        <div className=\"card-body\">\r\n                                            <h6>Price: {tempObject && tempObject.price}$</h6>\r\n                                            {tempPrice ? <h6>Total price: {tempPrice}$</h6> : null}\r\n                                            <h6>Total count: {tempCount}</h6>\r\n                                            <ButtonGroup>\r\n                                                <Button onClick={() => changeCount(tempObject, false)}>-</Button>\r\n                                                <Button outline color=\"secondary\" disabled>{tempCount}</Button>\r\n                                                <Button onClick={() => changeCount(tempObject, true)}>+</Button>\r\n                                            </ButtonGroup>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </ModalBody>\r\n                    <ModalFooter>\r\n                        <Button color=\"primary\" onClick={() => { updateData();\r\n                            addToCart(tempObject, this.setState({modal: false}));\r\n                        }}>Submit</Button>{' '}\r\n                        <Button color=\"secondary\" onClick={() => {\r\n                            updateData();\r\n                            this.toggle();\r\n                        }}>Cancel</Button>\r\n                    </ModalFooter>\r\n                </Modal>\r\n            </section>\r\n        );\r\n    }\r\n}\r\n\r\nexport default Product;","D:\\FrontEnd\\Git\\28-task\\src\\components\\Footer.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\cart\\Cart.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\pay\\creditcart.js",["65","66","67","68"],"import React from 'react';\r\nimport Cards from 'react-credit-cards';\r\nimport 'react-credit-cards/es/styles-compiled.css';\r\nimport {\r\n    formatCreditCardNumber,\r\n    formatCVC,\r\n    formatExpirationDate,\r\n} from \"./utils\";\r\nimport {toast} from \"react-toastify\";\r\nimport { Redirect } from \"react-router-dom\";\r\n\r\nexport default class PaymentForm extends React.Component {\r\n    state = {\r\n        number: \"\",\r\n        name: \"\",\r\n        expiry: \"\",\r\n        cvc: \"\",\r\n        issuer: \"\",\r\n        focused: \"\",\r\n        formData: null,\r\n        redirect: null\r\n    };\r\n\r\n\r\n\r\n    handleCallback = ({issuer}, isValid) => {\r\n        if (isValid) {\r\n            this.setState({issuer});\r\n        }\r\n    };\r\n\r\n    handleInputFocus = ({target}) => {\r\n        this.setState({\r\n            focused: target.name\r\n        });\r\n    };\r\n\r\n    handleInputChange = ({target}) => {\r\n        if (target.name === \"number\") {\r\n            target.value = formatCreditCardNumber(target.value);\r\n        } else if (target.name === \"expiry\") {\r\n            target.value = formatExpirationDate(target.value);\r\n        } else if (target.name === \"cvc\") {\r\n            target.value = formatCVC(target.value);\r\n        }\r\n\r\n        this.setState({[target.name]: target.value});\r\n    };\r\n\r\n    handleSubmit = e => {\r\n        e.preventDefault();\r\n        const {allProductsPrice, toggle, deleteProductFromCart, orderedProducts, addToHistory,  cardInfo} = this.props\r\n        const {issuer} = this.state;\r\n        const formData = [...e.target.elements]\r\n            .filter(d => d.name)\r\n            .reduce((acc, d) => {\r\n                acc[d.name] = d.value;\r\n                return acc;\r\n            }, {});\r\n\r\n        let counter = 0\r\n        let tempObjectId = null\r\n\r\n        cardInfo.map(item => {\r\n            if (item.name === formData.name && item.cvc === formData.cvc && item.number === formData.number && item.expiry === formData.expiry) {\r\n                counter = 1\r\n                tempObjectId = item.id\r\n            }\r\n        })\r\n\r\n        if (counter === 1) {\r\n            let id = cardInfo.findIndex(obj => obj.id === tempObjectId)\r\n            console.log(id)\r\n\r\n            cardInfo[id].balance -= allProductsPrice\r\n\r\n            console.log(cardInfo[id].balance)\r\n\r\n\r\n            toast.success(\"To'lov muvaffaqiyatli amalga oshirildi\")\r\n\r\n            addToHistory(orderedProducts)\r\n            deleteProductFromCart(null)\r\n            this.setState({ redirect: \"/por\" });\r\n\r\n\r\n\r\n\r\n        } else if (counter === 0) {\r\n            toast.error('Xato')\r\n        }\r\n\r\n        this.setState({formData});\r\n        this.form.reset();\r\n        toggle()\r\n\r\n\r\n    };\r\n\r\n\r\n\r\n\r\n    render() {\r\n        const {name, redirect, number, expiry, cvc, focused, issuer, formData} = this.state;\r\n\r\n        if (this.state.redirect) {\r\n            return <Redirect to={this.state.redirect} />\r\n        }\r\n\r\n        return (\r\n            <div id=\"PaymentForm\">\r\n                <Cards\r\n                    cvc={cvc}\r\n                    expiry={expiry}\r\n                    focused={focused}\r\n                    name={name}\r\n                    number={number}\r\n                />\r\n                <div className=\"col-lg-10 offset-1 mt-2\">\r\n                    <form ref={c => (this.form = c)} onSubmit={this.handleSubmit}>\r\n                        <div className=\"form-group\">\r\n                            <input\r\n                                type=\"tel\"\r\n                                name=\"number\"\r\n                                className=\"form-control\"\r\n                                placeholder=\"Card Number\"\r\n                                pattern=\"[\\d| ]{16,22}\"\r\n                                required\r\n                                onChange={this.handleInputChange}\r\n                                onFocus={this.handleInputFocus}\r\n                            />\r\n                        </div>\r\n                        <div className=\"form-group\">\r\n                            <input\r\n                                type=\"text\"\r\n                                name=\"name\"\r\n                                className=\"form-control\"\r\n                                placeholder=\"Name\"\r\n                                required\r\n                                onChange={this.handleInputChange}\r\n                                onFocus={this.handleInputFocus}\r\n                            />\r\n                        </div>\r\n                        <div className=\"row\">\r\n                            <div className=\"col-6\">\r\n                                <input\r\n                                    type=\"tel\"\r\n                                    name=\"expiry\"\r\n                                    className=\"form-control\"\r\n                                    placeholder=\"Valid Thru\"\r\n                                    pattern=\"\\d\\d/\\d\\d\"\r\n                                    required\r\n                                    onChange={this.handleInputChange}\r\n                                    onFocus={this.handleInputFocus}\r\n                                />\r\n                            </div>\r\n                            <div className=\"col-6\">\r\n                                <input\r\n                                    type=\"tel\"\r\n                                    name=\"cvc\"\r\n                                    className=\"form-control\"\r\n                                    placeholder=\"CVC\"\r\n                                    pattern=\"\\d{3,4}\"\r\n                                    required\r\n                                    onChange={this.handleInputChange}\r\n                                    onFocus={this.handleInputFocus}\r\n                                />\r\n                            </div>\r\n                        </div>\r\n                        <input type=\"hidden\" name=\"issuer\" value={issuer}/>\r\n                        <div className=\"col-lg-6 offset-3 form-actions mt-2\">\r\n                            <button className=\"btn btn-primary btn-block\">PAY\r\n                            </button>\r\n                        </div>\r\n                    </form>\r\n                </div>\r\n\r\n            </div>\r\n        );\r\n    }\r\n}","D:\\FrontEnd\\Git\\28-task\\src\\components\\pay\\utils.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\profile\\Profile.js",[],"D:\\FrontEnd\\Git\\28-task\\src\\components\\products\\Api.js",["69"],"import React, {useState, useEffect} from 'react';\r\nimport axios from \"axios\";\r\nimport {Collapse, Button, Modal, ModalHeader, ModalBody, ModalFooter, Spinner} from 'reactstrap';\r\nimport {toast} from \"react-toastify\";\r\n\r\n\r\nfunction API(props) {\r\n\r\n    const [loader, setLoader] = useState(false);\r\n    const [posts, setPosts] = useState([]);\r\n    const [error, setError] = useState(null);\r\n    const [tempId, setTempId] = useState(null);\r\n    const [comments, setComments] = useState([]);\r\n\r\n    const [modal, setModal] = useState(false);\r\n\r\n\r\n    const toggle = id => {\r\n\r\n        setTempId(tempId === id ? null : id)\r\n\r\n        axios.get('https://jsonplaceholder.typicode.com/photos?albumId=' + id).then(response => {\r\n            setComments(response.data)\r\n        }).catch(error => {\r\n            setError(error)\r\n        })\r\n        setModal(!modal)\r\n    }\r\n\r\n    console.log(comments)\r\n\r\n    useEffect(() => {\r\n        fetchPosts()\r\n    }, [])\r\n\r\n    const fetchPosts = () => {\r\n\r\n        setLoader(true)\r\n        axios.get('https://jsonplaceholder.typicode.com/albums').then(response => {\r\n            setPosts(response.data)\r\n            setLoader(false)\r\n        }).catch(error => {\r\n            setError(error)\r\n            setLoader(false)\r\n        })\r\n    }\r\n    console.log(posts)\r\n    return (\r\n\r\n        <section className=\"section-api py-lg-5\">\r\n            {error ? <React.StrictMode>{toast.error('Serverda xatolik')}</React.StrictMode> : null}\r\n            <div className=\"container\">\r\n                <h2>API</h2>\r\n                <div className=\"row\">\r\n                    {console.log(posts)}\r\n                    {loader ?\r\n                        <div className=\"col-lg-2 offset-5 text-center\">\r\n                            <Spinner color=\"dark\"/>\r\n                        </div>\r\n                        :\r\n                        posts.length && posts.map((item, index) => (\r\n\r\n                            <div key={index} className=\"col-lg-3 mb-lg-3\">\r\n                                <div className=\"card h-100\">\r\n                                    <div className=\"card-body\">\r\n                                        <h5>{index + 1}. {item.title}</h5>\r\n                                    </div>\r\n                                    <div className=\"card-footer text-center\">\r\n                                        <Button color=\"danger\" onClick={() => toggle(item.id)}>\r\n                                            PhotoAlbum\r\n                                        </Button>\r\n                                    </div>\r\n                                </div>\r\n\r\n                            </div>\r\n                        ))\r\n                    }\r\n                </div>\r\n            </div>\r\n            <Modal isOpen={modal} toggle={() => setModal(!modal)} className=\"modal-xl\">\r\n                <ModalHeader toggle={() => setModal(!modal)}>Photos</ModalHeader>\r\n                <ModalBody>\r\n                    <div className=\"col-lg-12\">\r\n                        <div className=\"row\">\r\n                            {comments.length && comments.map((item, index) => (\r\n                                <div key={index} className=\"col-lg-3 mb-lg-3\">\r\n                                    <div className=\"card h-100\">\r\n                                        <div className=\"card-header text-center\">\r\n                                            <h5>{index + 1}-photo</h5>\r\n                                            <img src={item.thumbnailUrl} alt=\"rasm\"/>\r\n                                        </div>\r\n                                        <div className=\"card-body\">\r\n                                            <h6>{item.title}</h6>\r\n                                        </div>\r\n\r\n                                    </div>\r\n                                </div>\r\n                            ))}\r\n                        </div>\r\n\r\n                    </div>\r\n                </ModalBody>\r\n                <ModalFooter>\r\n                    <Button color=\"secondary\" onClick={() => setModal(!modal)}>Cancel</Button>\r\n                </ModalFooter>\r\n            </Modal>\r\n\r\n        </section>\r\n    )\r\n}\r\n\r\nexport default API",{"ruleId":"70","replacedBy":"71"},{"ruleId":"72","replacedBy":"73"},{"ruleId":"74","severity":1,"message":"75","line":229,"column":34,"nodeType":"76","messageId":"77","endLine":229,"endColumn":36},{"ruleId":"78","severity":1,"message":"79","line":28,"column":33,"nodeType":"80","endLine":28,"endColumn":103},{"ruleId":"78","severity":1,"message":"79","line":29,"column":29,"nodeType":"80","endLine":29,"endColumn":99},{"ruleId":"81","severity":1,"message":"82","line":53,"column":16,"nodeType":"83","messageId":"84","endLine":53,"endColumn":22},{"ruleId":"74","severity":1,"message":"75","line":64,"column":27,"nodeType":"76","messageId":"77","endLine":64,"endColumn":29},{"ruleId":"81","severity":1,"message":"85","line":104,"column":22,"nodeType":"83","messageId":"84","endLine":104,"endColumn":30},{"ruleId":"81","severity":1,"message":"86","line":104,"column":70,"nodeType":"83","messageId":"84","endLine":104,"endColumn":78},{"ruleId":"81","severity":1,"message":"87","line":3,"column":9,"nodeType":"83","messageId":"84","endLine":3,"endColumn":17},"no-native-reassign",["88"],"no-negated-in-lhs",["89"],"array-callback-return","Array.prototype.map() expects a return value from arrow function.","ArrowFunctionExpression","expectedInside","jsx-a11y/img-redundant-alt","Redundant alt attribute. Screen-readers already announce `img` tags as an image. You don’t need to use the words `image`, `photo,` or `picture` (or any specified custom words) in the alt prop.","JSXOpeningElement","no-unused-vars","'issuer' is assigned a value but never used.","Identifier","unusedVar","'redirect' is assigned a value but never used.","'formData' is assigned a value but never used.","'Collapse' is defined but never used.","no-global-assign","no-unsafe-negation"]